﻿@model Contabilidad.Site.Models.CurrencyConversion.CurrencyConversionEditViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Edit;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Edit @Contabilidad.Resources.Models.Accounting.CurrencyConversion.CurrencyConversion.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }
                    @Html.HiddenFor(m => m.Id)

                    <div class="form-group">
                        <div class="form-group col-md-6 col-sm-6">
                            <div class="form-line">
                                <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.CurrenciesOrigin)" asp-for="IdCurrencyOrigin" data-live-search="true" asp-items="@(new SelectList(Model.CurrenciesOrigin,"Id","Value"))"></select>
                            </div>
                            <ul class="parsley-errors-list filled">
                                <li>
                                    <span asp-validation-for="IdCurrencyOrigin"></span>
                                </li>
                            </ul>
                        </div>

                        <div class="form-group col-md-6 col-sm-6">
                            <div class="form-line">
                                <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.CurrenciesDestination)" asp-for="IdCurrencyDestination" data-live-search="true" asp-items="@(new SelectList(Model.CurrenciesDestination,"Id","Value"))"></select>
                            </div>
                            <ul class="parsley-errors-list filled">
                                <li>
                                    <span asp-validation-for="IdCurrencyDestination"></span>
                                </li>
                            </ul>
                        </div>
                    </div>

                    <label asp-for="ValueConversion">@Html.DisplayNameFor(Model => Model.ValueConversion)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="ValueConversion" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled" id="parsley-id-5">
                            <li>
                                <span asp-validation-for="ValueConversion"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="ReverseConversion">@Html.DisplayNameFor(Model => Model.ReverseConversion)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <div class="">
                                <input type="checkbox" class="icheckbox_flat-green checked" asp-for="ReverseConversion" />
                            </div>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="ReverseConversion"></span>
                            </li>
                        </ul>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Edit @Contabilidad.Resources.Models.Accounting.CurrencyConversion.CurrencyConversion.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.CurrencyConversion.CurrencyConversion.EditMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
